Skip to main content

POST /v1/oauth/token

Scope

No auth (client authentication)

Request parameters

NameInTypeRequiredDescription
grant_typebodyenum(client_credentialsauthorization_coderefresh_token)
client_idbodystringrequired
client_secretbodystringoptional
scopebodystringoptional
codebodystringoptionalauthorization_code grant
redirect_uribodystringoptional
code_verifierbodystringoptionalPKCE(authorization_code grant)
refresh_tokenbodystringoptionalrefresh_token grant

Response example

{
"access_token": "string",
"token_type": "Bearer",
"expires_in": 600,
"scope": "read_items read_users",
"refresh_token": "string"
}

Description

Token endpoint (client_credentials / authorization_code+PKCE / refresh_token)

Error response example

{
"error": {
"code": "insufficient_scope",
"message": "requires scope 'read_orders'",
"request_id": "req_01H..."
}
}

Possible errors: 400 / 401